Bug 1027228 - Installer enables datasource only for domain
Installer enables datasource only for domain
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: CR1
: ---
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:01 EST by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-06 07:01:39 EST
Description of problem:
 New datasource created as a part of post install configuration is not enabled in standalone configuration files.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Run gui installer.
 2. Choose to install JDBC driver and Datasource on Post-install configuration screen.
 3. Finish the installation
 4. Check configuration files, or post-installation logs

Actual results:
 Datasource is enabled only in domain.xml configuration file.

Expected results:
 Datasource is enabled on all configuration files (standalone.xml, standalone-full.xml, standalone-ha.xml, standalone-full-ha.xml, and domain.xml)
Comment 1 Francisco Canas 2013-11-06 10:58:32 EST
Added an extra command to the datasource installation jobs that will enable them for the standalone configurations. 

See:
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=bf5bdeed74e824547110ece2f6578a483361913c
Comment 2 Petr Kremensky 2013-11-14 05:01:52 EST
Verified on EAP 6.2.0.CR1 installer, datasource is now enabled also for standalone.

Note You need to log in before you can comment on or make changes to this bug.